# InfoBox

#### new Cesium.InfoBox(container)
Widgets/InfoBox/InfoBox.js 21

A widget for displaying information or a description.

Name | Type | Description
--- | --- | ---
`container` | Element | String | The DOM element or ID that will contain the widget.

##### Throws:

- DeveloperError : Element with id "container" does not exist in the document.

### Members

#### container : Element
Widgets/InfoBox/InfoBox.js 138

Gets the parent container.

#### frame : HTMLIFrameElement
Widgets/InfoBox/InfoBox.js 162

Gets the iframe used to display the description.

#### viewModel : InfoBoxViewModel
Widgets/InfoBox/InfoBox.js 150

Gets the view model.

### Methods

#### destroy()
Widgets/InfoBox/InfoBox.js 180

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/InfoBox/InfoBox.js 172

##### Returns:

true if the object has been destroyed, false otherwise.